Scilab Function
Last update : 16/06/2004

fullrfk - factorisation de rang plein de A^k

### Calling Sequence

  `[Q,M]=fullrfk(A,k)`

### Parameters

- `A` : matrice réelle ou complexe
- `k` : entier
- `Q,M` : matrices réelles ou complexes

### Description

Cette fonction calcule la factorisation de rang plein de `A^k` : `fullrfk` renvoie `Q` et `M` telles que `A^k = Q*M` avec Im(`Q`)=Im(`A^k`) et ker(`M`)=ker(`A^k`), `Q` de rang maximal, et les lignes de `M` sont linéairement indépendantes,

Pour `k=1`, `fullrfk` est équivalent à `fullrf`.

### Examples

    A=rand(5,2)*rand(2,5);[Bk,Ck]=fullrfk(A,3);
    norm(Bk*Ck-A^3,1)

### See Also

`fullrf`, `range`,

### Author

F.D (1990);